Package picard.cmdline.argumentcollections

## Class RequiredOutputArgumentCollection

- java.lang.Object
- - picard.cmdline.argumentcollections.RequiredOutputArgumentCollection

- All Implemented Interfaces:
    `OutputArgumentCollection`

      public class RequiredOutputArgumentCollection
      extends Object
      implements OutputArgumentCollection

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `OUTPUT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequiredOutputArgumentCollection()` |
    `RequiredOutputArgumentCollection​(File output)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getOutputFile()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OUTPUT

          @Argument(shortName="O",
                    doc="The file to write the output to.")
          public File OUTPUT

  - ### Constructor Detail

    - #### RequiredOutputArgumentCollection

          public RequiredOutputArgumentCollection​(File output)

    - #### RequiredOutputArgumentCollection

          public RequiredOutputArgumentCollection()

  - ### Method Detail

    - #### getOutputFile

          public File getOutputFile()

      Specified by:
        `getOutputFile` in interface `OutputArgumentCollection`
      Returns:
        The reference provided by the user, if any, or the default, if any.